Get an order
GET /contacts/{contact_id}/order/{order_id}
curl -X GET "https://app.bualpro.com/api/contacts/123/order/example_string" \
-H "Content-Type: application/json" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY"
import requests
import json
url = "https://app.bualpro.com/api/contacts/123/order/example_string"
headers = {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.bualpro.com/api/contacts/123/order/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.bualpro.com/api/contacts/123/order/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-ACCESS-TOKEN", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.bualpro.com/api/contacts/123/order/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-ACCESS-TOKEN'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"order_id": "example_string",
"page_id": 123,
"user_id": 123,
"currency": "example_string",
"total": 42,
"subtotal": 42,
"total_items": 42,
"coupon_discount": 10,
"coupon": "example_string",
"line_items": [
{
"id": 123,
"name": "Johan Ahmad",
"img": "example_string",
"price": 29.99,
"amount": 42,
"descr_min": "example_string",
"manufacturer": 42,
"variant": "example_string",
"user_msg": "example_string"
}
],
"contact": {
"id": 123,
"page_id": 123,
"first_name": "Johan",
"last_name": "Ahmad",
"channel": 42,
"profile_pic": "example_string",
"locale": "example_string",
"gender": 42,
"timezone": 42,
"last_sent": 42,
"last_delivered": 42,
"last_seen": 42,
"last_interaction": 42,
"subscribed_date": "example_string",
"subscribed": 42,
"tags": [
{
"id": 123,
"name": "Johan Ahmad"
}
],
"custom_fields": [
{
"id": 123,
"name": "Johan Ahmad",
"type": 42,
"value": "example_string"
}
]
}
}
GET
/contacts/{contact_id}/order/{order_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-ACCESS-TOKENstring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
order_idstring
page_idinteger
user_idinteger
The contact ID
currencystring
totalinteger
subtotalinteger
total_itemsinteger
coupon_discountinteger
couponstring
line_itemsarray
contactobject
Get order information
Was this page helpful?